# Example soclabs Arm-Cortex-M0-based microcontroller project

The project is structured to work alongside IP provided under the Arm Acacdemic Access enttilements.

Provide a soft-link to the downloaded and configured IP in a directory '**arm-AAA-ip**':

```
arm-AAA-ip --> link to Arm directory trees
|-- Cortex-101_Foundation_IP
|-- Cortex_M0
|-- DMA-230_MicroDMA_Controller_IP
```

The microcontroller simulation hierarchy is delivered in the '**soclabs-cortexm0-mcu**' directory:

```
soclabs-cortexm0-mcu
|-- set_env.sh  // source this script to set up envitonment first
|-- html
|   |-- top
|   |   |-- v2html_doc.tgz // gunzip zxvf v2html_doc.tgz for html docmentation tree
|-- socsim.sh   // call the makefile with 'clean' of 'run TESTNAME=hello' type arguments
|   simulate
|   |-- sim
|   |   cmsdk   // simulation build area and run logs
|   |   |   logs
|-- Cortex-M0
|   |-- soclabs_demo
|   |   software
|   |   |   cmsis
|   |   |   |-- CMSIS
|   |   |   |   |-- Include
|   |   |   |-- Device
|   |   |   |   |-- ARM
|   |   |   |   |   |-- CMSDK_CM0
|   |   |   |   |   |   |-- Include
|   |   |   |   |   |   |   |-- Source
|   |   |   |   |   |   |   |--  ARM
|   |   |   |   |   |   |   |--  GCC
|   |   |   common
|   |   |   |-- bootloader
|   |   |   |-- debug_tests
|   |   |   |-- demos
|   |   |   |-- dhry
|   |   |   |-- retarget
|   |   |   |-- romtable_tests
|   |   |   |-- scripts
|   |   |   |-- validation
|   |   |   debug_tester
|   |   systems
|   |   |-- cortx_m0_cpu
|   |   |   |-- rtl_sim
|   |   |   |   testcodes
|   |   |   |   |-- apb_mux_tests
|   |   |   |   |-- bitband_tests
|   |   |   |   |-- bootloader
|   |   |   |   |-- debug_tests
|   |   |   |   |-- default_slaves_tests
|   |   |   |   |-- dhry
|   |   |   |   |-- dma_tests
|   |   |   |   |-- dualtimer_demo
|   |   |   |   |-- generic
|   |   |   |   |-- gpio_driver_tests
|   |   |   |   |-- gpo_tests
|   |   |   |   |-- hello
|   |   |   |   |-- interrupt_demo
|   |   |   |   |-- memory_tests
|   |   |   |   |-- mpu_tests
|   |   |   |   |-- mtb_tests
|   |   |   |   |-- romtable_tests
|   |   |   |   |-- rtx_demo
|   |   |   |   |-- self_reset_demo
|   |   |   |   |-- sleep_demo
|   |   |   |   |-- timer_driver_tests
|   |   |   |   |-- timer_tests
|   |   |   |   |-- uart_driver_tests
|   |   |   |   |-- uart_tests
|   |   |   |   |-- user_tests
|   |   |   |   |-- vtor_tests
|   |   |   |-- tools
|   |   |   |-- verilog
```

simulation setup (of the form):
```
  export ARM_PRODUCT_PATH=/apps/arm/developmentstudio-2021.0/sw/mappings
  export ARM_TOOL_VARIANT=gold
  export PATH=$PATH:/apps/arm/developmentstudio-2021.0/sw/ARMCompiler5.06u7/bin/
```

soyrce set_env.sh 
html documentation provided in html/top/v2html_doc.tgz




