#-----------------------------------------------------------------------------
# SoC Labs Simulation script for system level verification
# A joint work commissioned on behalf of SoC Labs, under Arm Academic Access license.
#
# Contributors
#
# David Fltnn (d.w.flynne@soton.ac.uk)
#
# Copyright  2023, SoC Labs (www.soclabs.org)
#-----------------------------------------------------------------------------

#!/usr/bin/env bash

# Get simulation name from name of script
#SIM_NAME=`basename -s .sh "$0"`
SIM_NAME="cmsdk/"$TESTNAME

# Directory to put simulation files
SIM_DIR=$SOCLABS_PROJECT_DIR/simulate/sim/$SIM_NAME

# Create Directory to put simulation files
mkdir -p $SIM_DIR
cd $SOCLABS_PROJECT_DIR/simulate/sim/$SIM_NAME

# Compile Simulation
# Call makefile in cmsdk_mcu with options
#   - make clean
#   - make run_mti
echo ${1}
make -C $ARM_CMSDK_MCU_DIR/rtl_sim ${1} \
    SIM_DIR=$SIM_DIR \
    ${@:2}

